---
title: XMLHttpRequestEventTarget.onerror
slug: Web/API/XMLHttpRequestEventTarget/onerror
tags:
  - API
  - Event Handler
  - Property
  - Reference
  - Web
  - XMLHttpRequestEventTarget
---
<div>{{APIRef("XMLHttpRequest")}}</div>

<p>The <strong><code>XMLHttpRequestEventTarget.onerror</code></strong> is the function called when an {{domxref("XMLHttpRequest")}} transaction fails due to an error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XMLHttpRequest</em>.onerror = <em>callback</em>;</pre>

<h3 id="Values">Values</h3>

<ul>
	<li><code><em>callback</em></code> is the function to be executed when the request fails.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xmlhttp = new XMLHttpRequest(),
  method = 'GET',
  url = 'https://developer.mozilla.org/';

xmlhttp.open(<em>method</em>, <em>url</em>, true);
xmlhttp.onerror = function () {
  console.log("** An error occurred during the transaction");
};
xmlhttp.send();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('XMLHttpRequest', '#handler-xhr-onerror')}}</td>
			<td>{{Spec2('XMLHttpRequest')}}</td>
			<td>WHATWG living standard</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequestEventTarget.onerror")}}</p>
